<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
* Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
* Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Add Java Platform Wizard: Select Platform Type </title>
	<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
<h2>Add Java Platform Wizard: Select Platform Type </h2>
<p> <small><a href="#seealso">See Also</a>&nbsp; </small>

<p>The Add Java Platform wizard enables you to register various versions of the Java Development Kit (JDK) and other Java tools for use in the IDE. Once you have registered a JDK, you can proceed to configure a  project to use
that JDK for compilation, execution, and debugging (in the Project Properties window).
<p>You open the Add Java Platform wizard by selecting Add Platform in the <a href="proj_platform_manager.html">Java Platform Manager dialog box</a>.

<p>To register a new Java Platform:
<ol>
  <li>On the Select Platform Type page, select the platform type you want to add and click Next. <br>
    There are several choices you can add from (depends on what IDE modules are activated and installed):
    <ul>
      <li>Java Standard Edition</li>
<!--      <li><a href="nbdocs://org.netbeans.modules.javafx.kit/org/netbeans/modules/javafx/kit/docs/project/csh/javafx_platform_setup.html">JavaFX Platform</a>  </li>-->
      <li><a href="nbdocs://org.netbeans.modules.mobility.javahelp/org/netbeans/modules/mobility/project/docs/ui/wizard_addplatform_choosefolder.html">Java ME platforms</a>: CLDC/MIDP Platform Emulator, CDC Platform Emulator and custom Java ME emulator </li>
    </ul>
  </li>
  <li> On the next page, specify the folder that contains the platform and click Finish.<br>
  The IDE registers the new platform. Now you can configure individual projects to use this JDK during compilation, execution and running tests on the <a href="proj_j2sestand_props_libraries.html">Libraries </a>tab of the Project Properties window.</li>
</ol>
<dl> 
  <dt><a name="seealso">See Also</a></dt>
  <dd><a href="../proj_jdk.html">Setting the Target JDK in a Project</a></dd>
  <dd><a href="proj_platform_manager.html">Java Platform Manager Dialog Box</a></dd>
<dd><a href="../../javadoc/javadoc_add.html">Adding 
    Javadoc to a Project</a></dd>
  <dd><a href="../../javadoc/show_in_editor.html">Viewing Javadoc Documentation</a></dd>
<!-- <dd><a href="nbdocs://org.netbeans.modules.javafx.kit/org/netbeans/modules/javafx/kit/docs/project/javafx_proj_sdk.html#add_fx_platform">Registering Additional
  JavaFX Platforms</a><a href="../../javadoc/show_in_editor.html"></a></dd>-->
 <dd><a href="nbdocs://org.netbeans.modules.mobility.javahelp/org/netbeans/modules/mobility/project/docs/ui/wizard_addplatform_choosefolder.html">Mobility Pack. Add Java Platform Wizard: Select Platform Type Page</a></dd>
</dl>
<hr>
<small><a href="../../credits.html">Legal Notices</a></small> 
<table border="0" cellpadding="50">
  <tr><td>&nbsp;</td></tr>
</table>
</body>
</html>
